### Hierarchy

- WebCryptoHmacSha256

### Implements

- Hmac

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- digest

## Constructors

### constructor

- new WebCryptoHmacSha256(subtleCrypto: SubtleCrypto): WebCryptoHmacSha256

- - Defined in src/encryption/hmacSha256.ts:25

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoHmacSha256

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in src/encryption/hmacSha256.ts:25

## Methods

### digest

- digest(key: Buffer, data: Buffer): Promise<Buffer>

- Implementation of Hmac.digest

  - Defined in src/encryption/hmacSha256.ts:31

  #### Parameters

  - ##### key: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc